Create marketing expansion
POST https://{handle}.myshopline.com/admin/openapi/v20261201/sales/marketing_activity_extension.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
marketing_activityobject
Marketing expansionended_at stringEnd timeExample:2022-12-15T09:00:00+08:00utm_term stringSignature search keywordExample:this is utm term nameremote_id string requiredunique id for [App] dataExample:53e7f97e-8df5-4a6b-b672-5cda96b90821utm_medium stringSource type of logo ( email , article )Example:emailmarketing_activity_id stringMarketing expansion campaign idExample:MA_6019932248291157288utm_campaign stringLogo specific advertisingExample:googleutm_content stringDistinguish between different links within the same adExample:googleAdsform_data stringJson's form data is serialized as a stringExample:{\"budget\":{\"frequency\":\"DAILY\",\"currency\":\"TWD\"},\"time\":{\"startTime\":1671275280000,\"endTime\":1671361680000}}marketing_activity_title stringMarketing expansion campaign titleExample:This is marketing activity titleutm_source stringIdentity advertising customers , advertising websitesExample:www.shopline.comstarted_at stringStart timeExample:2022-12-15T09:00:00+08:00marketing_activity_extension_id string requiredMarketing expansion idExample:b1ee529b-d71d-41d6-93ba-ee46986d3a4bstatus string requiredCurrent status of marketing campaign , draft,failed,active,inactive,scheduled,paused,deleted_externally on the outsideExample:draft
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
marketing_activityobject
Marketing expansionmarketing_activity_id stringMarketing expansion campaign idExample:MA_6019932248291157288utm_campaign stringLogo specific advertisingExample:googleutm_content stringDistinguish between different links within the same adExample:googleAdsended_at stringEnd timeExample:2022-12-15T09:00:00+08:00started_at stringStart timeExample:2022-12-15T09:00:00+08:00utm_term stringSignature search keywordExample:this is utm term nameutm_source stringIdentity advertising customers , advertising websitesExample:www.shopline.comform_data stringJson's form data is serialized as a stringExample:{\"budget\":{\"frequency\":\"DAILY\",\"currency\":\"TWD\"},\"time\":{\"startTime\":1671275280000,\"endTime\":1671361680000}}marketing_activity_extension_id stringMarketing expansion idExample:b1ee529b-d71d-41d6-93ba-ee46986d3a4bstatus stringCurrent status of marketing campaign , draft,failed,active,inactive,scheduled,paused,deleted_externally on the outsideExample:draftremote_id stringunique id for [App] dataExample:53e7f97e-8df5-4a6b-b672-5cda96b90821utm_medium stringSource type of logo ( email , article )Example:emailmarketing_activity_title stringMarketing expansion campaign titleExample:This is marketing activity title
API Explorer
Debugger
Examples
Was this article helpful to you?